#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.4.1
id: foldl-1.4.1-HQll2MocD935yVH9YnfOjF
key: foldl-1.4.1-HQll2MocD935yVH9YnfOjF
license: BSD-3-Clause
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
abi: 95decb3a41adc144b051227ab70692fb
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl
hidden-modules: Control.Foldl.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/foldl-1.4.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/foldl-1.4.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/foldl-1.4.1
hs-libraries: HSfoldl-1.4.1-HQll2MocD935yVH9YnfOjF
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    mwc-random-0.13.6.0-2hvpPCeD45r6gFYRqMiP8t
    primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc text-1.2.3.0
    transformers-0.5.5.0 vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    containers-0.5.11.0
    unordered-containers-0.2.9.0-4xkK4TVeOzU5CT7vUnH40Y
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    contravariant-1.4.1-HAsNOXS6UjNLhhUqovtoIr
    profunctors-5.2.2-6J4jItUjxVa5X4Kw4fdLcO
    comonad-5.0.3-8UtPCqVW5bhJDvCyfu8yV6
    vector-builder-0.3.4.1-4FiQrKHaXou1LmReqDxyAD
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             mwc-random-0.13.6.0-2hvpPCeD45r6gFYRqMiP8t=7344a5c7a09b43c4769d3fcfaa13b8fc
             primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc=a76404d2410541ab4c0cf63ee4e3a316
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             unordered-containers-0.2.9.0-4xkK4TVeOzU5CT7vUnH40Y=35805d13add6a65c87fb8fb413d93b58
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=ad8d36b5596969152937469512f0d3b1
             contravariant-1.4.1-HAsNOXS6UjNLhhUqovtoIr=1c8446e86d39f5069240f7ab3c213859
             profunctors-5.2.2-6J4jItUjxVa5X4Kw4fdLcO=a7de27d6c859528fc323b27ace140658
             comonad-5.0.3-8UtPCqVW5bhJDvCyfu8yV6=96929e001acdf4c1250c92c5565c3ce2
             vector-builder-0.3.4.1-4FiQrKHaXou1LmReqDxyAD=5876f6700498cafbdba25ac14af68c93
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

